# Flutter Gallery Picker

This a Flutter Gallery which allows you to pick image or video from gallery.

## Features

Here are some features:

* Easy, lightweight, open-source.
* Flutter Native Screens
* Gallery Like Screens
* Preview Image
* MIT licensed.
* Easily extensible.

## Getting Started


## Installing

Add this to your package's `pubspec.yaml` file:

```yaml
dependencies:
  flutter_gallery_picker: ^0.0.3
```

## Import

```dart
import 'package:flutter_gallery_picker/flutter_gallery_picker.dart';
```

## How to use

### Android
Add the following permissions to your *AndroidManifest.xml*, located in ```<project root>/android/app/src/main/AndroidManifest.xml```:

```xml
<manifest ...>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    ...
<manifest/>
```

API 29+

Add the following property to your *AndroidManifest.xml*, located in ```<project root>/android/app/src/main/AndroidManifest.xml``` to [opt-out of scoped storage](https://developer.android.com/training/data-storage/use-cases#opt-out-scoped-storage):
```xml
<manifest ...>
    ...
    <application
        android:requestLegacyExternalStorage="true"
        ...>
    <application/>
<manifest/>
```

### Usage

```dart
 var image = await GalleryScreen.getImage(context);
 print(image);
```

it's really easy :)

* You can say `Thank You`, [Donate](https://www.paypal.com/paypalme/islamalalfy) to the developer.
